## LassoSamlpStatus

LassoSamlpStatus — <samlp:Status>

## Functions

LassoSamlpStatus * | lasso_samlp_status_new ()

## Types and Values

struct | LassoSamlpStatus

## Description

Figure 38. Schema fragment for samlp:Status

    <element name="Status" type="samlp:StatusType"/>
    <complexType name="StatusType">
      <sequence>
        <element ref="samlp:StatusCode"/>
        <element ref="samlp:StatusMessage" minOccurs="0" maxOccurs="1"/>
        <element ref="samlp:StatusDetail" minOccurs="0"/>
      </sequence>
    </complexType>

    <element name="StatusMessage" type="string"/>

## Functions

### lasso_samlp_status_new ()

    LassoSamlpStatus *
    lasso_samlp_status_new (void);

Creates a new LassoSamlpStatus object.

#### Returns

a newly created LassoSamlpStatus object

## Types and Values

### struct LassoSamlpStatus

    struct LassoSamlpStatus {
    	LassoNode parent;

    	/* <element ref="samlp:StatusCode"/> */
    	LassoSamlpStatusCode *StatusCode;
    	/* <element ref="samlp:StatusMessage" minOccurs="0" maxOccurs="1"/> */
    	char *StatusMessage;
    };